Bug 961902 - Remove UFO code from glusterfs repo now that gluster-swift repo exists
Remove UFO code from glusterfs repo now that gluster-swift repo exists
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 13:09 EDT by Peter Portante
Modified: 2013-08-06 18:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:26:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2013-05-10 13:09:55 EDT
Remove UFO code from glusterfs repo now that gluster-swift repo exists.

Also we need to remove the DHT code that supports the user.ufo-test xattr that is not used.
Comment 1 Anand Avati 2013-05-10 13:11:06 EDT
REVIEW: http://review.gluster.org/4970 (object-storage: final removal of ufo code) posted (#2) for review on master by Peter Portante (pportant@redhat.com)
Comment 2 Anand Avati 2013-05-10 13:11:41 EDT
REVIEW: http://review.gluster.org/4970 (object-storage: final removal of ufo code) posted (#3) for review on master by Peter Portante (pportant@redhat.com)
Comment 3 Anand Avati 2013-05-10 14:04:35 EDT
COMMIT: http://review.gluster.org/4970 committed in master by Anand Avati (avati@redhat.com) 
------
commit 40d026e10013f533c4fee33b87dabc4ca11c94b3
Author: Peter Portante <peter.portante@redhat.com>
Date:   Wed May 8 21:51:58 2013 -0400

    object-storage: final removal of ufo code
    
    See https://git.gluster.org/gluster-swift.git for the new location of
    the Gluster-Swift code.
    
    With this patch, no OpenStack Swift related RPMs are constructed.
    
    This patch also removes the unused code that references the
    user.ufo-test xattr key in the DHT translator.
    
    Change-Id: I2da32642cbd777737a41c5f9f6d33f059c85a2c1
    BUG: 961902 (https://bugzilla.redhat.com/show_bug.cgi?id=961902)
    Signed-off-by: Peter Portante <peter.portante@redhat.com>
    Reviewed-on: http://review.gluster.org/4970
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Luis Pabon <lpabon@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.